> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/payments/oct/create-create-card-payments-request/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Create Card Payments Request POST https://api.upwardli.com/v2/payments/oct/ Content-Type: application/json Create, retrieve and list OCT (Outgoing Card Transfer) payments. OCT sends funds from the consumer's DDA to an external payment card. Reference: https://developers.upwardli.com/api-access/api-reference/payments/oct/create-create-card-payments-request ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a CreateCardPaymentsRequest. - `consumer_id` (string, required) - `external_payment_card_id` (string, required) - `amount` (string, required) - `description` (string, optional) ## Response ### 201 - `id` (string, required) - `amount` (string, required) - `fee_amount` (string, required) - `external_payment_card_id` (string, required) - `description` (string, required) - `direction` (string, required) - `status` (string, required) - `consumer_id` (string, optional) ## Examples **Request** ```json { "consumer_id": "string", "external_payment_card_id": "string", "amount": "string" } ``` **Response** ```json { "id": "string", "amount": "string", "fee_amount": "string", "external_payment_card_id": "string", "description": "string", "direction": "string", "status": "string", "consumer_id": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/payments/oct/" payload = { "consumer_id": "string", "external_payment_card_id": "string", "amount": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/payments/oct/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"consumer_id":"string","external_payment_card_id":"string","amount":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/payments/oct/" payload := strings.NewReader("{\n \"consumer_id\": \"string\",\n \"external_payment_card_id\": \"string\",\n \"amount\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/payments/oct/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"consumer_id\": \"string\",\n \"external_payment_card_id\": \"string\",\n \"amount\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/payments/oct/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"consumer_id\": \"string\",\n \"external_payment_card_id\": \"string\",\n \"amount\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/payments/oct/', [ 'body' => '{ "consumer_id": "string", "external_payment_card_id": "string", "amount": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/payments/oct/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"consumer_id\": \"string\",\n \"external_payment_card_id\": \"string\",\n \"amount\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "consumer_id": "string", "external_payment_card_id": "string", "amount": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payments/oct/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```